using System;
using System.Collections.Generic;

public class PhotoMode : WfScreenManager
{
	public void Awake()
	{
		this.adv_kag_ = GameMain.Instance.ScriptMgr.adv_kag;
	}

	public override void Start()
	{
		base.Start();
		GameMain.Instance.MainLight.Reset();
		GameMain.Instance.CharacterMgr.ResetCharaPosAll();
		GameMain.Instance.MainCamera.Reset(CameraMain.CameraType.Target, true);
		GameMain.Instance.SoundMgr.VoiceStopAll();
		this.move_screen_ = base.children_dic["Move"].GetComponent<WfScreenMoveChildren>();
		string empty = string.Empty;
		string empty2 = string.Empty;
		if (this.adv_kag_.tag_backup != null && 0 < this.adv_kag_.tag_backup.Count && this.adv_kag_.tag_backup["name"] == "ScenePhotoMode")
		{
			NDebug.Assert(this.adv_kag_.tag_backup.ContainsKey("label"), "[PhotoMode]SceneCallにlabelの設定がされていませんでした");
			this.move_screen_.SetNextLabel(this.adv_kag_.tag_backup["label"]);
			NDebug.Assert(this.adv_kag_.tag_backup.ContainsKey("edit_label"), "[PhotoMode]SceneCallにedit_labelの設定がされていませんでした");
			this.edit_label_name = this.adv_kag_.tag_backup["edit_label"];
			if (!this.adv_kag_.tag_backup.ContainsKey("comeback"))
			{
				PhotoModeMain.ResetComebackData();
			}
		}
		this.CallScreen("Main");
	}

	protected override void SettingChildrenList(Dictionary<string, WfScreenChildren> children_dic)
	{
		string[] array = new string[]
		{
			"Main",
			"Move"
		};
		for (int i = 0; i < array.Length; i++)
		{
			WfScreenChildren component = UTY.GetChildObject(base.gameObject, array[i], false).GetComponent<WfScreenChildren>();
			component.parent_mgr = this;
			children_dic.Add(array[i], component);
		}
	}

	public WfScreenMoveChildren move_screen
	{
		get
		{
			return this.move_screen_;
		}
	}

	public string edit_label_name { get; private set; }

	private WfScreenMoveChildren move_screen_;

	private ADVKagManager adv_kag_;
}
